# $Revision: 1.7 $, $Date: 2006/03/02 14:20:52 $
#
# Conditional build:
%bcond_with	allegro     # with allegro support (doesn't build)
#
Summary:	Guichan - small, efficient C++ GUI library designed for games
Summary(pl):	Guichan - maa, wydajna biblioteka GUI w C++ przeznaczona do gier
Name:		guichan
Version:	0.4.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/guichan/%{name}-%{version}-src.tar.gz
# Source0-md5:	f68b6c603c4fb3d70a8737f916214a35
URL:		http://guichan.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL-devel
%{?with_allegro:BuildRequires:      allegro-devel}
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Guichan is a small, efficient C++ GUI library designed for games. It
comes with a standard set of widgets and can use several different
objects for displaying graphics and grabbing user input.

%description -l pl
Guichan to maa, wydajna biblioteka GUI w C++ przeznaczona do gier.
Zawiera standardowy zestaw widgetw, moe uywa kilku rnych
obiektw do wywietlania grafiki i pobierania wejcia od uytkownika.

%package devel
Summary:	Header files for Guichan library
Summary(pl):	Pliki nagwkowe biblioteki Guichan
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for Guichan library.

%description devel -l pl
Pliki nagwkowe biblioteki Guichan.

%package static
Summary:	Static version of Guichan libraries
Summary(pl):	Statyczne wersje bibliotek Guichan
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of Guichan libraries.

%description static -l pl
Statyczne wersje bibliotek Guichan.

%prep
%setup -q

%build
%configure \
	%{!?with_allegro:--disable-allegro}
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libguichan*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libguichan*.so
%{_libdir}/libguichan*.la
%{_includedir}/guichan*

%files static
%defattr(644,root,root,755)
%{_libdir}/libguichan*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: guichan.spec,v $
Revision 1.7  2006/03/02 14:20:52  spider
- rel 1
- stbr

Revision 1.6  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.5  2005/06/11 12:43:41  spider
- polished

Revision 1.4  2005/06/11 09:52:59  qboosh
- really disable allegro by default (broken, doesn't build)
- standard base/-devel/-static split
- license is standard 3-clause BSD

Revision 1.3  2005/06/11 08:29:08  qboosh
- BR: OpenGL-devel instead of X11- implementation
- pl

Revision 1.2  2005/06/11 06:54:28  spider
- missing br

Revision 1.1  2005/06/10 12:59:44  spider
- init pld
- nfy
- need: pl summary, check %files section, check conditional build
